Package org.apache.cayenne.access.translator.batch.legacy

## Class SoftDeleteTranslatorFactory

- java.lang.Object
- - org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslatorFactory
  - - org.apache.cayenne.access.translator.batch.legacy.SoftDeleteTranslatorFactory

- All Implemented Interfaces:
    `BatchTranslatorFactory`

      @Deprecated
      public class SoftDeleteTranslatorFactory
      extends DefaultBatchTranslatorFactory

  Deprecated.
  since 4.2
  Implementation of {link #BatchTranslator}, which uses 'soft' delete (runs UPDATE and sets 'deleted' field to true instead-of running SQL DELETE)
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_DELETED_FIELD_NAME` | Deprecated. Default name of 'deleted' field

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SoftDeleteTranslatorFactory()` | Deprecated.
    `SoftDeleteTranslatorFactory​(String deletedFieldName)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected BatchTranslator` | `deleteTranslator​(DeleteBatchQuery query, DbAdapter adapter, String trimFunction)` | Deprecated.
    `String` | `getDeletedFieldName()` | Deprecated.

    - ### Methods inherited from class org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslatorFactory

      `insertTranslator, translator, updateTranslator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_DELETED_FIELD_NAME

          public static final String DEFAULT_DELETED_FIELD_NAME

      Deprecated.
      Default name of 'deleted' field
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SoftDeleteTranslatorFactory

          public SoftDeleteTranslatorFactory()

      Deprecated.

    - #### SoftDeleteTranslatorFactory

          public SoftDeleteTranslatorFactory​(String deletedFieldName)

      Deprecated.

  - ### Method Detail

    - #### deleteTranslator

          protected BatchTranslator deleteTranslator​(DeleteBatchQuery query,
                                                     DbAdapter adapter,
                                                     String trimFunction)

      Deprecated.
      Overrides:
        `deleteTranslator` in class `DefaultBatchTranslatorFactory`

    - #### getDeletedFieldName

          public String getDeletedFieldName()

      Deprecated.
      Returns:
        name of 'deleted' field